# Uses of Class
org.apache.commons.math3.optimization.direct.AbstractSimplex

Packages that use AbstractSimplex
Package
Description
org.apache.commons.math3.optimization.direct
This package provides optimization algorithms that don't require derivatives.

## Uses of AbstractSimplex in org.apache.commons.math3.optimization.direct

Subclasses of AbstractSimplex in org.apache.commons.math3.optimization.direct
Modifier and Type
Class
Description
`class`
`MultiDirectionalSimplex`
Deprecated.
As of 3.1 (to be removed in 4.0).
`class`
`NelderMeadSimplex`
Deprecated.
As of 3.1 (to be removed in 4.0).
Methods in org.apache.commons.math3.optimization.direct with parameters of type AbstractSimplex
Modifier and Type
Method
Description
`void`
SimplexOptimizer.`setSimplex(AbstractSimplex simplex)`
Deprecated.
As of 3.1.